Page MenuHomePhabricator

Release MediaWiki 1.29
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate ExtensionDistributer versions

Event Timeline

greg created this task.Dec 14 2016, 11:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 11:04 PM

Is there a new release date scheduled (since it was initially the 25th)?

MW 1.29 will be released after every task associated with the project will be closed. At the moment there are 7 tasks left.

Seb35 added a subscriber: Seb35.Jun 1 2017, 2:59 PM
demon claimed this task.Jun 12 2017, 11:07 PM
demon raised the priority of this task from Medium to High.Jun 28 2017, 3:39 PM

All blockers are now resolved.

All blockers are now resolved.

Not sure how you come to this conclusion but for example T167946 hasn't been back-ported which indicates an incomplete state of the required back-ports.

demon added a comment.Jul 8 2017, 12:01 AM

All blockers are now resolved.

Not sure how you come to this conclusion but for example T167946 hasn't been back-ported which indicates an incomplete state of the required back-ports.

I responded more thoroughly on that task, but tldr: it was closed prematurely which made me thing it had been backported. rc.1 has been released like 10 minutes ago, but it'll make it into the final release.

... rc.1 has been released like 10 minutes ago, but it'll make it into the final release.

I'm more concerned that there are other PR's that haven't back-ported, so running a query of some kind should avoid manual intervention (or someone remembering that this hasn't happened yet).

demon added a comment.Jul 8 2017, 12:18 AM

There's no query that can be done. See my comment on T167946#3417390 -- the mapping is complex and has to be manually curated. If people need things backported, they get tagged with MW-1.29-release and we get them backported. If people don't care enough to get things backported then there's precious little I can do to help. I get thousands of bug/gerrit notifs a week and I cannot possibly keep track of everything in the MW ecosystem. In the case of T167946, the task was closed prematurely and I assumed--not unreasonably--that all the work was done.

It is on developers and change drivers to get their fixes to all the right places at the end of the day, especially for subsystems that are less frequently used/understood 😁

Theoretically if you searched for tasks tagged MW-1.29-release without a MW-1.29-release-notes tag it might work, but I can't seem to get Phabricator to just include MW-1.29-release without any of its subprojects: https://phabricator.wikimedia.org/maniphest/query/.njVirn9OXaF/#R

(I think such a search would still have false positives and negatives, but it might be a bit closer)

MacFan4000 added a comment.EditedJul 8 2017, 3:35 PM

Looks like they were all backported. What’s the next step for this task?

@MacFan4000 You can see in mediawiki-announce that a release candidate has been issued.

but yes, any indication on (if there are no issues with the rc) when the release will be?

For 1.28, it went like this:

  • First release candidate 2016-11-02
  • Second release candidate 2016-11-17
  • Stable release 2016-11-28

Obviously a serious issue might be found and create a delay. If so, I assume it is a low priority for the full-time developers, who are dealing with 1.30 betas.

I think both cases were not usual circumstances, as both releases were delayed. Hopefully no more issues are found and the stable release can be released ASAP.

Assuming no issues come up in rc.1 I plan to issue the final release within a week.

demon closed this task as Resolved.Jul 13 2017, 7:27 PM

Change 365137 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[operations/mediawiki-config@master] Update ExtensionDistributer versions

https://gerrit.wikimedia.org/r/365137

Change 365137 merged by jenkins-bot:
[operations/mediawiki-config@master] Update ExtensionDistributer versions

https://gerrit.wikimedia.org/r/365137

Mentioned in SAL (#wikimedia-operations) [2017-07-24T18:29:03Z] <reedy@tin> Synchronized wmf-config/CommonSettings.php: T153271 (duration: 00m 43s)

MacFan4000 removed a subscriber: gerritbot.